# Get bucket storage metrics

```http
GET /analytics/v1/storage/buckets/{bucketName}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetBucketStorageMetrics`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:s3:storage_analytics`

Returns storage metrics for a bucket owned by the authenticated tenant

## Parameters

### Path parameters

- `bucketName` (string, required) — Bucket name

### Query parameters

- `from` (string, required) — Start of time range (RFC3339)
- `to` (string, required) — End of time range (RFC3339)
- `window` (string) — Resample window duration, e.g., 5m, 1h. Minutes and hours are the only supported units

## Responses

### 200 — Storage metrics

Content type: `application/json`

- `samples` (array of object)
  - items (object)
    - `bytesUsed` (integer)
    - `objectCount` (integer)
    - `timestamp` (string)
    - `versionCount` (integer)
    - `windowSize` (integer)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 401 — Unauthorized

Content type: `application/json`

- `message` (string)

### 403 — Access denied

Content type: `application/json`

- `message` (string)
